<?xml version="1.0" encoding="utf-8" standalone="no"?>
<xs:schema elementFormDefault="qualified" attributeFormDefault="unqualified" xmlns:D2LogicalModel="http://datex2.eu/schema/2/2_0" version="2.3" targetNamespace="http://datex2.eu/schema/2/2_0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:complexType name="_ExtensionType">
    <xs:sequence>
      <xs:any namespace="##any" processContents="lax" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="_MeasurementSiteRecordVersionedReference">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:VersionedReference">
        <xs:attribute name="targetClass" use="required" fixed="MeasurementSiteRecord" />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="_MeasurementSiteTableVersionedReference">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:VersionedReference">
        <xs:attribute name="targetClass" use="required" fixed="MeasurementSiteTable" />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="_SiteMeasurementsIndexMeasuredValue">
    <xs:sequence>
      <xs:element name="measuredValue" type="D2LogicalModel:MeasuredValue" minOccurs="1" maxOccurs="1" />
    </xs:sequence>
    <xs:attribute name="index" type="xs:int" use="required" />
  </xs:complexType>
  <xs:complexType name="_VehicleCharacteristicsExtensionType">
    <xs:sequence>
      <xs:element name="vehicleCharacteristicsExtended" type="D2LogicalModel:VehicleCharacteristicsExtended" minOccurs="0" />
      <xs:any namespace="##other" processContents="lax" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="AreaOfInterestEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="continentWide" />
      <xs:enumeration value="national" />
      <xs:enumeration value="neighbouringCountries" />
      <xs:enumeration value="notSpecified" />
      <xs:enumeration value="regional" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="AxleFlowValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="axleFlowRate" type="D2LogicalModel:AxlesPerHour" minOccurs="1" maxOccurs="1" />
          <xs:element name="axleFlowValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="AxlesPerHour">
    <xs:restriction base="D2LogicalModel:NonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="BasicData" abstract="true">
    <xs:sequence>
      <xs:element name="measurementOrCalculationPeriod" type="D2LogicalModel:Seconds" minOccurs="0" maxOccurs="1" />
      <xs:element name="measurementOrCalculationTime" type="D2LogicalModel:DateTime" minOccurs="0" maxOccurs="1" />
      <xs:element name="basicDataExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="measurementOrCalculatedTimePrecision" type="D2LogicalModel:TimePrecisionEnum" use="optional" />
  </xs:complexType>
  <xs:simpleType name="Boolean">
    <xs:restriction base="xs:boolean" />
  </xs:simpleType>
  <xs:simpleType name="ComparisonOperatorEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="equalTo" />
      <xs:enumeration value="greaterThan" />
      <xs:enumeration value="greaterThanOrEqualTo" />
      <xs:enumeration value="lessThan" />
      <xs:enumeration value="lessThanOrEqualTo" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="ComputationMethodEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="arithmeticAverageOfSamplesBasedOnAFixedNumberOfSamples" />
      <xs:enumeration value="arithmeticAverageOfSamplesInATimePeriod" />
      <xs:enumeration value="harmonicAverageOfSamplesInATimePeriod" />
      <xs:enumeration value="medianOfSamplesInATimePeriod" />
      <xs:enumeration value="movingAverageOfSamples" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="ConcentrationOfVehiclesValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="concentrationOfVehicles" type="D2LogicalModel:ConcentrationVehiclesPerKilometre" minOccurs="1" maxOccurs="1" />
          <xs:element name="concentrationOfVehiclesValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="ConcentrationVehiclesPerKilometre">
    <xs:restriction base="D2LogicalModel:NonNegativeInteger" />
  </xs:simpleType>
  <xs:simpleType name="ConfidentialityValueEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="internalUse" />
      <xs:enumeration value="noRestriction" />
      <xs:enumeration value="restrictedToAuthorities" />
      <xs:enumeration value="restrictedToAuthoritiesAndTrafficOperators" />
      <xs:enumeration value="restrictedToAuthoritiesTrafficOperatorsAndPublishers" />
      <xs:enumeration value="restrictedToAuthoritiesTrafficOperatorsAndVms" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="CountryEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="at" />
      <xs:enumeration value="be" />
      <xs:enumeration value="bg" />
      <xs:enumeration value="ch" />
      <xs:enumeration value="cs" />
      <xs:enumeration value="cy" />
      <xs:enumeration value="cz" />
      <xs:enumeration value="de" />
      <xs:enumeration value="dk" />
      <xs:enumeration value="ee" />
      <xs:enumeration value="es" />
      <xs:enumeration value="fi" />
      <xs:enumeration value="fo" />
      <xs:enumeration value="fr" />
      <xs:enumeration value="gb" />
      <xs:enumeration value="gg" />
      <xs:enumeration value="gi" />
      <xs:enumeration value="gr" />
      <xs:enumeration value="hr" />
      <xs:enumeration value="hu" />
      <xs:enumeration value="ie" />
      <xs:enumeration value="im" />
      <xs:enumeration value="is" />
      <xs:enumeration value="it" />
      <xs:enumeration value="je" />
      <xs:enumeration value="li" />
      <xs:enumeration value="lt" />
      <xs:enumeration value="lu" />
      <xs:enumeration value="lv" />
      <xs:enumeration value="ma" />
      <xs:enumeration value="mc" />
      <xs:enumeration value="mk" />
      <xs:enumeration value="mt" />
      <xs:enumeration value="nl" />
      <xs:enumeration value="no" />
      <xs:enumeration value="pl" />
      <xs:enumeration value="pt" />
      <xs:enumeration value="ro" />
      <xs:enumeration value="se" />
      <xs:enumeration value="si" />
      <xs:enumeration value="sk" />
      <xs:enumeration value="sm" />
      <xs:enumeration value="tr" />
      <xs:enumeration value="va" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:element name="d2LogicalModel" type="D2LogicalModel:D2LogicalModel" />
  <xs:complexType name="D2LogicalModel">
    <xs:sequence>
      <xs:element name="exchange" type="D2LogicalModel:Exchange" />
      <xs:element name="payloadPublication" type="D2LogicalModel:PayloadPublication" minOccurs="0" />
      <xs:element name="d2LogicalModelExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="modelBaseVersion" use="required" fixed="2" />
  </xs:complexType>
  <xs:complexType name="DataValue" abstract="true">
    <xs:sequence>
      <xs:element name="dataError" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
      <xs:element name="reasonForDataError" type="D2LogicalModel:MultilingualString" minOccurs="0" maxOccurs="1" />
      <xs:element name="dataValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="accuracy" type="D2LogicalModel:Percentage" use="optional" />
    <xs:attribute name="computationalMethod" type="D2LogicalModel:ComputationMethodEnum" use="optional" />
    <xs:attribute name="numberOfIncompleteInputs" type="D2LogicalModel:NonNegativeInteger" use="optional" />
    <xs:attribute name="numberOfInputValuesUsed" type="D2LogicalModel:NonNegativeInteger" use="optional" />
    <xs:attribute name="smoothingFactor" type="D2LogicalModel:Float" use="optional" />
    <xs:attribute name="standardDeviation" type="D2LogicalModel:Float" use="optional" />
    <xs:attribute name="supplierCalculatedDataQuality" type="D2LogicalModel:Percentage" use="optional" />
  </xs:complexType>
  <xs:simpleType name="DateTime">
    <xs:restriction base="xs:dateTime" />
  </xs:simpleType>
  <xs:complexType name="DateTimeValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="dateTime" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
          <xs:element name="dateTimeValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="DurationValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="duration" type="D2LogicalModel:Seconds" minOccurs="1" maxOccurs="1" />
          <xs:element name="durationValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="ElaboratedDataFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="elaboratedDataFault" type="D2LogicalModel:ElaboratedDataFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="elaboratedDataFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="ElaboratedDataFaultEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="intermittentDataValues" />
      <xs:enumeration value="noDataValuesAvailable" />
      <xs:enumeration value="spuriousUnreliableDataValues" />
      <xs:enumeration value="unspecifiedOrUnknownFault" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="Exchange">
    <xs:sequence>
      <xs:element name="supplierIdentification" type="D2LogicalModel:InternationalIdentifier" />
      <xs:element name="exchangeExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="Fault">
    <xs:sequence>
      <xs:element name="faultIdentifier" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultDescription" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultCreationTime" type="D2LogicalModel:DateTime" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultLastUpdateTime" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="faultSeverity" type="D2LogicalModel:FaultSeverityEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="faultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="FaultSeverityEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="low" />
      <xs:enumeration value="medium" />
      <xs:enumeration value="high" />
      <xs:enumeration value="unknown" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Float">
    <xs:restriction base="xs:float" />
  </xs:simpleType>
  <xs:complexType name="FloatingPointMetreDistanceValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="floatingPointMetreDistance" type="D2LogicalModel:MetresAsFloat" minOccurs="1" maxOccurs="1" />
          <xs:element name="floatingPointMetreDistanceValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="FuelType2Enum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="all" />
      <xs:enumeration value="petrol95Octane" />
      <xs:enumeration value="petrol98Octane" />
      <xs:enumeration value="petrolLeaded" />
      <xs:enumeration value="petrolUnleaded" />
      <xs:enumeration value="unknown" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="FuelTypeEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="battery" />
      <xs:enumeration value="biodiesel" />
      <xs:enumeration value="diesel" />
      <xs:enumeration value="dieselBatteryHybrid" />
      <xs:enumeration value="ethanol" />
      <xs:enumeration value="hydrogen" />
      <xs:enumeration value="liquidGas" />
      <xs:enumeration value="lpg" />
      <xs:enumeration value="methane" />
      <xs:enumeration value="petrol" />
      <xs:enumeration value="petrolBatteryHybrid" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="GrossWeightCharacteristic">
    <xs:sequence>
      <xs:element name="comparisonOperator" type="D2LogicalModel:ComparisonOperatorEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="grossVehicleWeight" type="D2LogicalModel:Tonnes" minOccurs="1" maxOccurs="1" />
      <xs:element name="grossWeightCharacteristicExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="HeaderInformation">
    <xs:sequence>
      <xs:element name="areaOfInterest" type="D2LogicalModel:AreaOfInterestEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="confidentiality" type="D2LogicalModel:ConfidentialityValueEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="informationStatus" type="D2LogicalModel:InformationStatusEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="urgency" type="D2LogicalModel:UrgencyEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="headerInformationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="HeaviestAxleWeightCharacteristic">
    <xs:sequence>
      <xs:element name="comparisonOperator" type="D2LogicalModel:ComparisonOperatorEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="heaviestAxleWeight" type="D2LogicalModel:Tonnes" minOccurs="1" maxOccurs="1" />
      <xs:element name="heaviestAxleWeightCharacteristicExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="HeightCharacteristic">
    <xs:sequence>
      <xs:element name="comparisonOperator" type="D2LogicalModel:ComparisonOperatorEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="vehicleHeight" type="D2LogicalModel:MetresAsFloat" minOccurs="1" maxOccurs="1" />
      <xs:element name="heightCharacteristicExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="IndividualVehicleDataValues">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:TrafficData">
        <xs:sequence>
          <xs:element name="individualVehicleSpeed" type="D2LogicalModel:SpeedValue" minOccurs="0" />
          <xs:element name="arrivalTime" type="D2LogicalModel:DateTimeValue" minOccurs="0" />
          <xs:element name="exitTime" type="D2LogicalModel:DateTimeValue" minOccurs="0" />
          <xs:element name="passageDurationTime" type="D2LogicalModel:DurationValue" minOccurs="0" />
          <xs:element name="presenceDurationTime" type="D2LogicalModel:DurationValue" minOccurs="0" />
          <xs:element name="timeGap" type="D2LogicalModel:DurationValue" minOccurs="0" />
          <xs:element name="timeHeadway" type="D2LogicalModel:DurationValue" minOccurs="0" />
          <xs:element name="distanceGap" type="D2LogicalModel:FloatingPointMetreDistanceValue" minOccurs="0" />
          <xs:element name="distanceHeadway" type="D2LogicalModel:FloatingPointMetreDistanceValue" minOccurs="0" />
          <xs:element name="individualVehicleDataValuesExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="InformationStatusEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="real" />
      <xs:enumeration value="securityExercise" />
      <xs:enumeration value="technicalExercise" />
      <xs:enumeration value="test" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Integer">
    <xs:restriction base="xs:integer" />
  </xs:simpleType>
  <xs:complexType name="InternationalIdentifier">
    <xs:sequence>
      <xs:element name="country" type="D2LogicalModel:CountryEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="nationalIdentifier" type="D2LogicalModel:String" minOccurs="1" maxOccurs="1" />
      <xs:element name="internationalIdentifierExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="KilometresPerHour">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:simpleType name="LaneEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="allLanesCompleteCarriageway" />
      <xs:enumeration value="busLane" />
      <xs:enumeration value="busStop" />
      <xs:enumeration value="carPoolLane" />
      <xs:enumeration value="centralReservation" />
      <xs:enumeration value="crawlerLane" />
      <xs:enumeration value="emergencyLane" />
      <xs:enumeration value="escapeLane" />
      <xs:enumeration value="expressLane" />
      <xs:enumeration value="hardShoulder" />
      <xs:enumeration value="heavyVehicleLane" />
      <xs:enumeration value="lane1" />
      <xs:enumeration value="lane2" />
      <xs:enumeration value="lane3" />
      <xs:enumeration value="lane4" />
      <xs:enumeration value="lane5" />
      <xs:enumeration value="lane6" />
      <xs:enumeration value="lane7" />
      <xs:enumeration value="lane8" />
      <xs:enumeration value="lane9" />
      <xs:enumeration value="layBy" />
      <xs:enumeration value="leftHandTurningLane" />
      <xs:enumeration value="leftLane" />
      <xs:enumeration value="localTrafficLane" />
      <xs:enumeration value="middleLane" />
      <xs:enumeration value="opposingLanes" />
      <xs:enumeration value="overtakingLane" />
      <xs:enumeration value="rightHandTurningLane" />
      <xs:enumeration value="rightLane" />
      <xs:enumeration value="rushHourLane" />
      <xs:enumeration value="setDownArea" />
      <xs:enumeration value="slowVehicleLane" />
      <xs:enumeration value="throughTrafficLane" />
      <xs:enumeration value="tidalFlowLane" />
      <xs:enumeration value="turningLane" />
      <xs:enumeration value="verge" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Language">
    <xs:restriction base="xs:language" />
  </xs:simpleType>
  <xs:complexType name="LengthCharacteristic">
    <xs:sequence>
      <xs:element name="comparisonOperator" type="D2LogicalModel:ComparisonOperatorEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="vehicleLength" type="D2LogicalModel:MetresAsFloat" minOccurs="1" maxOccurs="1" />
      <xs:element name="lengthCharacteristicExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="LoadType2Enum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="refrigeratedGoods" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="LoadTypeEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="abnormalLoad" />
      <xs:enumeration value="ammunition" />
      <xs:enumeration value="chemicals" />
      <xs:enumeration value="combustibleMaterials" />
      <xs:enumeration value="corrosiveMaterials" />
      <xs:enumeration value="debris" />
      <xs:enumeration value="empty" />
      <xs:enumeration value="explosiveMaterials" />
      <xs:enumeration value="extraHighLoad" />
      <xs:enumeration value="extraLongLoad" />
      <xs:enumeration value="extraWideLoad" />
      <xs:enumeration value="fuel" />
      <xs:enumeration value="glass" />
      <xs:enumeration value="goods" />
      <xs:enumeration value="hazardousMaterials" />
      <xs:enumeration value="liquid" />
      <xs:enumeration value="livestock" />
      <xs:enumeration value="materials" />
      <xs:enumeration value="materialsDangerousForPeople" />
      <xs:enumeration value="materialsDangerousForTheEnvironment" />
      <xs:enumeration value="materialsDangerousForWater" />
      <xs:enumeration value="oil" />
      <xs:enumeration value="ordinary" />
      <xs:enumeration value="perishableProducts" />
      <xs:enumeration value="petrol" />
      <xs:enumeration value="pharmaceuticalMaterials" />
      <xs:enumeration value="radioactiveMaterials" />
      <xs:enumeration value="refuse" />
      <xs:enumeration value="toxicMaterials" />
      <xs:enumeration value="vehicles" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="LocationCharacteristicsOverride">
    <xs:sequence>
      <xs:element name="measurementLanesOverride" type="D2LogicalModel:LaneEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="reversedFlow" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
      <xs:element name="locationCharacteristicsOverrideExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MeasuredDataPublication">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:PayloadPublication">
        <xs:sequence>
          <xs:element name="measurementSiteTableReference" type="D2LogicalModel:_MeasurementSiteTableVersionedReference" minOccurs="1" maxOccurs="1" />
          <xs:element name="headerInformation" type="D2LogicalModel:HeaderInformation" />
          <xs:element name="siteMeasurements" type="D2LogicalModel:SiteMeasurements" maxOccurs="unbounded" />
          <xs:element name="measuredDataPublicationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="MeasuredValue">
    <xs:sequence>
      <xs:element name="measurementEquipmentTypeUsed" type="D2LogicalModel:MultilingualString" minOccurs="0" maxOccurs="1" />
      <xs:element name="locationCharacteristicsOverride" type="D2LogicalModel:LocationCharacteristicsOverride" minOccurs="0" />
      <xs:element name="measurementEquipmentFault" type="D2LogicalModel:MeasurementEquipmentFault" minOccurs="0" maxOccurs="unbounded" />
      <xs:element name="basicData" type="D2LogicalModel:BasicData" minOccurs="0" />
      <xs:element name="measuredValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MeasurementEquipmentFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="measurementEquipmentFault" type="D2LogicalModel:MeasurementEquipmentFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="measurementEquipmentFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="MeasurementEquipmentFaultEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="intermittentDataValues" />
      <xs:enumeration value="noDataValuesAvailable" />
      <xs:enumeration value="spuriousUnreliableDataValues" />
      <xs:enumeration value="unspecifiedOrUnknownFault" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="MetresAsFloat">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="MultilingualString">
    <xs:sequence>
      <xs:element name="values">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="value" type="D2LogicalModel:MultilingualStringValue" maxOccurs="unbounded" />
          </xs:sequence>
        </xs:complexType>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="MultilingualStringValue">
    <xs:simpleContent>
      <xs:extension base="D2LogicalModel:MultilingualStringValueType">
        <xs:attribute name="lang" type="xs:language" />
      </xs:extension>
    </xs:simpleContent>
  </xs:complexType>
  <xs:simpleType name="MultilingualStringValueType">
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="NonNegativeInteger">
    <xs:restriction base="xs:nonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="NumberOfAxlesCharacteristic">
    <xs:sequence>
      <xs:element name="comparisonOperator" type="D2LogicalModel:ComparisonOperatorEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="numberOfAxles" type="D2LogicalModel:NonNegativeInteger" minOccurs="1" maxOccurs="1" />
      <xs:element name="numberOfAxlesCharacteristicExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="OccupancyChangeValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="occupancyChange" type="D2LogicalModel:Integer" minOccurs="1" maxOccurs="1" />
          <xs:element name="occupancyChangeValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="PassengerCarUnitsPerHour">
    <xs:restriction base="D2LogicalModel:NonNegativeInteger" />
  </xs:simpleType>
  <xs:complexType name="PayloadPublication" abstract="true">
    <xs:sequence>
      <xs:element name="feedType" type="D2LogicalModel:String" minOccurs="0" maxOccurs="1" />
      <xs:element name="publicationTime" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="publicationCreator" type="D2LogicalModel:InternationalIdentifier" />
      <xs:element name="payloadPublicationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
    <xs:attribute name="lang" type="D2LogicalModel:Language" use="required" />
  </xs:complexType>
  <xs:complexType name="PcuFlowValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="pcuFlowRate" type="D2LogicalModel:PassengerCarUnitsPerHour" minOccurs="1" maxOccurs="1" />
          <xs:element name="pcuFlowValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="Percentage">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="PercentageValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="percentage" type="D2LogicalModel:Percentage" minOccurs="1" maxOccurs="1" />
          <xs:element name="percentageValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="Seconds">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="SiteMeasurements">
    <xs:sequence>
      <xs:element name="measurementSiteReference" type="D2LogicalModel:_MeasurementSiteRecordVersionedReference" minOccurs="1" maxOccurs="1" />
      <xs:element name="measurementTimeDefault" type="D2LogicalModel:DateTime" minOccurs="1" maxOccurs="1" />
      <xs:element name="measuredValue" type="D2LogicalModel:_SiteMeasurementsIndexMeasuredValue" minOccurs="0" maxOccurs="unbounded" />
      <xs:element name="siteMeasurementsExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="SpeedPercentile">
    <xs:sequence>
      <xs:element name="vehiclePercentage" type="D2LogicalModel:PercentageValue" />
      <xs:element name="speedPercentile" type="D2LogicalModel:SpeedValue" />
      <xs:element name="speedPercentileExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="SpeedValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="speed" type="D2LogicalModel:KilometresPerHour" minOccurs="1" maxOccurs="1" />
          <xs:element name="speedValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="String">
    <xs:restriction base="xs:string">
      <xs:maxLength value="1024" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="TimePrecisionEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="tenthsOfSecond" />
      <xs:enumeration value="second" />
      <xs:enumeration value="minute" />
      <xs:enumeration value="quarterHour" />
      <xs:enumeration value="halfHour" />
      <xs:enumeration value="hour" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="Tonnes">
    <xs:restriction base="D2LogicalModel:Float" />
  </xs:simpleType>
  <xs:complexType name="TrafficConcentration">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:TrafficData">
        <xs:sequence>
          <xs:element name="concentration" type="D2LogicalModel:ConcentrationOfVehiclesValue" minOccurs="0" />
          <xs:element name="occupancy" type="D2LogicalModel:PercentageValue" minOccurs="0" />
          <xs:element name="trafficConcentrationExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="TrafficData" abstract="true">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:BasicData">
        <xs:sequence>
          <xs:element name="forVehiclesWithCharacteristicsOf" type="D2LogicalModel:VehicleCharacteristics" minOccurs="0" />
          <xs:element name="trafficDataExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="TrafficFlow">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:TrafficData">
        <xs:sequence>
          <xs:element name="axleFlow" type="D2LogicalModel:AxleFlowValue" minOccurs="0" />
          <xs:element name="pcuFlow" type="D2LogicalModel:PcuFlowValue" minOccurs="0" />
          <xs:element name="percentageLongVehicles" type="D2LogicalModel:PercentageValue" minOccurs="0" />
          <xs:element name="vehicleFlow" type="D2LogicalModel:VehicleFlowValue" minOccurs="0" />
          <xs:element name="trafficFlowExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="TrafficHeadway">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:TrafficData">
        <xs:sequence>
          <xs:element name="averageDistanceHeadway" type="D2LogicalModel:FloatingPointMetreDistanceValue" minOccurs="0" />
          <xs:element name="averageTimeHeadway" type="D2LogicalModel:DurationValue" minOccurs="0" />
          <xs:element name="trafficHeadwayExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="TrafficSpeed">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:TrafficData">
        <xs:sequence>
          <xs:element name="averageVehicleSpeed" type="D2LogicalModel:SpeedValue" minOccurs="0" />
          <xs:element name="speedPercentile" type="D2LogicalModel:SpeedPercentile" minOccurs="0" />
          <xs:element name="trafficSpeedExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="UrgencyEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="extremelyUrgent" />
      <xs:enumeration value="urgent" />
      <xs:enumeration value="normalUrgency" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VehicleCharacteristics">
    <xs:sequence>
      <xs:element name="fuelType" type="D2LogicalModel:FuelTypeEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="loadType" type="D2LogicalModel:LoadTypeEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="vehicleEquipment" type="D2LogicalModel:VehicleEquipmentEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="vehicleType" type="D2LogicalModel:VehicleTypeEnum" minOccurs="0" maxOccurs="unbounded" />
      <xs:element name="vehicleUsage" type="D2LogicalModel:VehicleUsageEnum" minOccurs="0" maxOccurs="1" />
      <xs:element name="grossWeightCharacteristic" type="D2LogicalModel:GrossWeightCharacteristic" minOccurs="0" maxOccurs="2" />
      <xs:element name="heightCharacteristic" type="D2LogicalModel:HeightCharacteristic" minOccurs="0" maxOccurs="2" />
      <xs:element name="lengthCharacteristic" type="D2LogicalModel:LengthCharacteristic" minOccurs="0" maxOccurs="2" />
      <xs:element name="widthCharacteristic" type="D2LogicalModel:WidthCharacteristic" minOccurs="0" maxOccurs="2" />
      <xs:element name="heaviestAxleWeightCharacteristic" type="D2LogicalModel:HeaviestAxleWeightCharacteristic" minOccurs="0" maxOccurs="2" />
      <xs:element name="numberOfAxlesCharacteristic" type="D2LogicalModel:NumberOfAxlesCharacteristic" minOccurs="0" maxOccurs="2" />
      <xs:element name="vehicleCharacteristicsExtension" type="D2LogicalModel:_VehicleCharacteristicsExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="VehicleCharacteristicsExtended">
    <xs:sequence>
      <xs:element name="emissionClassification" type="D2LogicalModel:String" minOccurs="0" maxOccurs="unbounded" />
      <xs:element name="operationFreeOfEmission" type="D2LogicalModel:Boolean" minOccurs="0" maxOccurs="1" />
      <xs:element name="loadType2" type="D2LogicalModel:LoadType2Enum" minOccurs="0" maxOccurs="1" />
      <xs:element name="vehicleType2" type="D2LogicalModel:VehicleType2Enum" minOccurs="0" maxOccurs="1" />
      <xs:element name="fuelType2" type="D2LogicalModel:FuelType2Enum" minOccurs="0" maxOccurs="1" />
      <xs:element name="vehicleUsage2" type="D2LogicalModel:VehicleUsage2Enum" minOccurs="0" maxOccurs="1" />
    </xs:sequence>
  </xs:complexType>
  <xs:complexType name="VehicleCountValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="vehicleCount" type="D2LogicalModel:NonNegativeInteger" minOccurs="1" maxOccurs="1" />
          <xs:element name="vehicleCountValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="VehicleEquipmentEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="notUsingSnowChains" />
      <xs:enumeration value="notUsingSnowChainsOrTyres" />
      <xs:enumeration value="snowChainsInUse" />
      <xs:enumeration value="snowTyresInUse" />
      <xs:enumeration value="snowChainsOrTyresInUse" />
      <xs:enumeration value="withoutSnowTyresOrChainsOnBoard" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VehicleFlowValue">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:DataValue">
        <xs:sequence>
          <xs:element name="vehicleFlowRate" type="D2LogicalModel:VehiclesPerHour" minOccurs="1" maxOccurs="1" />
          <xs:element name="vehicleFlowValueExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="VehiclesPerHour">
    <xs:restriction base="D2LogicalModel:NonNegativeInteger" />
  </xs:simpleType>
  <xs:simpleType name="VehicleType2Enum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="motorhome" />
      <xs:enumeration value="lightGoodsVehicle" />
      <xs:enumeration value="heavyGoodsVehicle" />
      <xs:enumeration value="minibus" />
      <xs:enumeration value="smallCar" />
      <xs:enumeration value="largeCar" />
      <xs:enumeration value="lightGoodsVehicleWithTrailer" />
      <xs:enumeration value="heavyGoodsVehicleWithTrailer" />
      <xs:enumeration value="heavyHaulageVehicle" />
      <xs:enumeration value="passengerCar" />
      <xs:enumeration value="unknown" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="VehicleTypeEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="car" />
      <xs:enumeration value="van" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="VehicleUsage2Enum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="cityLogistics" />
      <xs:enumeration value="carSharing" />
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="VehicleUsageEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="agricultural" />
      <xs:enumeration value="commercial" />
      <xs:enumeration value="emergencyServices" />
      <xs:enumeration value="military" />
      <xs:enumeration value="nonCommercial" />
      <xs:enumeration value="patrol" />
      <xs:enumeration value="recoveryServices" />
      <xs:enumeration value="roadMaintenanceOrConstruction" />
      <xs:enumeration value="roadOperator" />
      <xs:enumeration value="taxi" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VersionedReference">
    <xs:attribute name="id" type="xs:string" use="required" />
    <xs:attribute name="version" type="xs:string" use="required" />
  </xs:complexType>
  <xs:complexType name="VmsFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="vmsFault" type="D2LogicalModel:VmsFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="vmsFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="VmsFaultEnum">
    <xs:restriction base="xs:string">
      <xs:enumeration value="communicationsFailure" />
      <xs:enumeration value="incorrectMessageDisplayed" />
      <xs:enumeration value="incorrectPictogramDisplayed" />
      <xs:enumeration value="outOfService" />
      <xs:enumeration value="powerFailure" />
      <xs:enumeration value="unableToClearDown" />
      <xs:enumeration value="unknown" />
      <xs:enumeration value="other" />
    </xs:restriction>
  </xs:simpleType>
  <xs:complexType name="VmsUnitFault">
    <xs:complexContent>
      <xs:extension base="D2LogicalModel:Fault">
        <xs:sequence>
          <xs:element name="vmsUnitFault" type="D2LogicalModel:VmsFaultEnum" minOccurs="1" maxOccurs="1" />
          <xs:element name="vmsUnitFaultExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:complexType name="WidthCharacteristic">
    <xs:sequence>
      <xs:element name="comparisonOperator" type="D2LogicalModel:ComparisonOperatorEnum" minOccurs="1" maxOccurs="1" />
      <xs:element name="vehicleWidth" type="D2LogicalModel:MetresAsFloat" minOccurs="1" maxOccurs="1" />
      <xs:element name="widthCharacteristicExtension" type="D2LogicalModel:_ExtensionType" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
</xs:schema>